Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.advisor
Interface AdviceRequest

    public interface AdviceRequest

This interface represents a request for advice within the advisor subsystem. Its methods are similar to the HttpSession interface.

Method Summary
`Object` | `getAttribute(String name)` Returns the AdviceRequest attribute with a given name.
`Collection` | `getAttributeNames()` Returns a Collection with the names of all the attributes.
`long` | `getCreationTime()` Returns the creation time for this AdviceRequest.
`String` | `getId()` Returns the user assigned identifier for this AdviceRequest.
`String` | `getUri()` Returns the URI associated with this AdviceRequest.
`void` | `removeAttribute(String name)` Removes a named attribute from the AdviceRequest.
`void` | `setAttribute(String name, Object value)` Sets a named attribute to a value.
`void` | `setId(String id)` Set the identifier for this AdviceRequest.
`void` | `setUri(String uri)` Sets the URI associated with this AdviceRequest.

Method Detail

### getUri

    String getUri()

  Returns the URI associated with this AdviceRequest.

  Returns
    the URI associated with this AdviceRequest.

### setUri

    void setUri(String uri)

  Sets the URI associated with this AdviceRequest.

  Parameters
    `uri` - the URI.

### getAttribute

    Object getAttribute(String name)

  Returns the AdviceRequest attribute with a given name.

  Parameters
    `name` - the name of the attribute.
  Returns
    the AdviceRequest attribute with a given name.

### getAttributeNames

    Collection getAttributeNames()

  Returns a Collection with the names of all the attributes.

  Returns
    a Collection with the names of all the attributes.

### getCreationTime

    long getCreationTime()

  Returns the creation time for this AdviceRequest.

  Returns
    the creation time for this AdviceRequest.

### getId

    String getId()

  Returns the user assigned identifier for this AdviceRequest.

  Returns
    the user assigned identifier for this AdviceRequest.

### setId

    void setId(String id)

  Set the identifier for this AdviceRequest.

  Parameters
    `id` - the AdviceRequest identifier.

### removeAttribute

    void removeAttribute(String name)

  Removes a named attribute from the AdviceRequest.

  Parameters
    `name` - the name of the attribute.

### setAttribute

    void setAttribute(String name,
                      Object value)

  Sets a named attribute to a value.

  Parameters
    `name` - the name of the attribute.
    `value` - the value to be associated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.